<div class="mb-3">
  <label class="col-sm-2 col-form-label">โครงการ</label>
  <div>
    <mat-form-field appearance="outline">
      <input matInput placeholder="Placeholder">
      <button matSuffix mat-icon-button (click)="search()">
        <mat-icon>search</mat-icon>
      </button>
    </mat-form-field>
  </div>
</div>
<div class="card-body">
  <table mat-table [dataSource]="dataSource" class="mat-elevation-z8" aria-describedby="ตารางข้อมูล">
    <!-- Checkbox Column -->
    <ng-container matColumnDef="select">
      <th id="select" mat-header-cell *matHeaderCellDef>
        <mat-checkbox (change)="$event ? masterToggle() : null" [checked]="selection.hasValue() && isAllSelected()"
          [indeterminate]="selection.hasValue() && !isAllSelected()">
        </mat-checkbox>
      </th>
      <td mat-cell *matCellDef="let row">
        <mat-checkbox (click)="$event.stopPropagation()" (change)="$event ? selection.toggle(row) : null"
          [checked]="selection.isSelected(row)">
        </mat-checkbox>
      </td>
    </ng-container>

    <!-- Position Column -->
    <ng-container matColumnDef="projectCode">
      <th id="projectCode" mat-header-cell *matHeaderCellDef> เลขที่โครงการ </th>
      <td mat-cell *matCellDef="let element"> {{element.projectCode}} </td>
    </ng-container>

    <!-- Name Column -->
    <ng-container matColumnDef="projectName">
      <th id="projectName" mat-header-cell *matHeaderCellDef> โครงการ </th>
      <td mat-cell *matCellDef="let element"> {{element.projectName}} </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="selection.toggle(row)">
    </tr>
  </table>
  <mat-paginator [pageSizeOptions]="[5, 10, 20]" showFirstLastButtons aria-label="Select page of periodic elements">
  </mat-paginator>

</div>
<div mat-dialog-actions>
  <button mat-button (click)="onNoClick()">Cancel</button>
  <button mat-button [mat-dialog-close]="selection" cdkFocusInitial>Ok</button>
</div>
<app-loader></app-loader>